<?xml version="1.0" encoding="utf-8"?>
<plugin xmlns="http://www.phonegap.com/ns/plugins/1.0"
        id="cordova-plugin-scanqrkt"
        version="1.0.0">

  <name>Scan QR Kotlin</name>

  <engines>
    <engine name="cordova" version=">=7.1.0"/>
    <engine name="cordova-android" version=">=7.0.0"/>
  </engines>

  <author email="davids_cadc@hotmail.com">David Villadiego</author>

  <asset src="www/scanqrkt.js" target="js/scanqrkt.js"/>

  <js-module src="www/scanqrkt.js" name="scanqrkt">
    <clobbers target="cordova.plugins.scanqrkt" />
  </js-module>

  <platform name="android"
            kotlin="1.2.30">
    <!-- Add Kotlin support -->
    <hook type="after_plugin_add" src="hooks/support-kotlin.js" />
    <hook type="after_platform_add" src="hooks/support-kotlin.js" />
    <framework src="org.jetbrains.kotlin:kotlin-stdlib-jdk8:1.2.31" />
    <apply-plugin>kotlin-android-extensions</apply-plugin>
    <apply-plugin>kotlin-kapt</apply-plugin>

    <!-- Cleanup Kotlin source on uninstall -->
    <hook type="before_plugin_rm" src="hooks/on-uninstall.js" />
    <hook type="before_plugin_uninstall" src="hooks/on-uninstall.js" />

    <framework custom="true" src="src/build-extras.gradle" type="gradleReference"/>
    <source-file src="src/ScanQrKt.kt" target-dir="app/src/main/java/cordova/plugin"/>
    <config-file target="config.xml" parent="/*">
      <feature name="ScanQrKt">
        <param name="android-package" value="cordova.plugin.ScanQrKt"/>
      </feature>
    </config-file>

  </platform>
</plugin>
